Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface CompilationUnitTree

All Superinterfaces:
  Tree

    public interface CompilationUnitTree
    extends Tree

Represents the abstract syntax tree for compilation units (source files)

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`LineMap` `getLineMap()` Returns the line map for this compilation unit, if available.
`List<? extends Tree>` `getSourceElements()` Return the list of source elements in this compilation unit.
`String` `getSourceName()` Return the source name of this script compilation unit.
`boolean` `isStrict()` Returns if this is a ECMAScript "strict" compilation unit or not.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getSourceElements

    List<? extends Tree> getSourceElements()

Return the list of source elements in this compilation unit.

Returns:
  the list of source elements in this compilation unit

#### getSourceName

    String getSourceName()

Return the source name of this script compilation unit.

Returns:
  the source name of this script compilation unit

#### isStrict

    boolean isStrict()

Returns if this is a ECMAScript "strict" compilation unit or not.

Returns:
  true if this compilation unit is declared "strict"

#### getLineMap

    LineMap getLineMap()

Returns the line map for this compilation unit, if available. Returns null if the line map is not available.

Returns:
  the line map for this compilation unit